{
  "name": "@qventura-perso/config-service",
  "version": "0.0.1",
  "description": "",
  "main": "dist/index.js",
  "scripts": {
    "build": "tsc",
    "clean": "rm  -rf ./dist",
    "migrate": "NEW_RELIC_HOME=./node_modules/@qventura/base-service/dist pm2-runtime ./dist/db/migrations/run.js",
    "postversion": "git push --follow-tags",
    "pretest": "npm run test:clean; npm run test:build",
    "start": "NEW_RELIC_HOME=./node_modules/@qventura/base-service/dist pm2-runtime ./dist/index.js",
    "dev:deploy": "ci-toolset build-and-deploy dev --build-args NPM_TOKEN=$NPM_TOKEN",
    "dev:migrate": "npm run build && AWS_REGION=ca-central-1 && NODE_ENV=dev npm run migrate",
    "dev:start": "npm run build && AWS_REGION=ca-central-1 && NODE_ENV=dev PORT=5005 npm run start",
    "staging:deploy": "ci-toolset build-and-deploy staging --build-args NPM_TOKEN=$NPM_TOKEN",
    "test:build": "tsc -p ./test/config --pretty",
    "test:clean": "rm  -rf ./dist-test",
    "test:coverage": "nyc --nycrc-path ./test/config/.nycrc.json npm test",
    "test": "NODE_ENV=test mocha --opts ./test/config/mocha.opts"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/qventura-perso/config/config-service.git"
  },
  "author": "",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/qventura-perso/config/config-service/issues"
  },
  "homepage": "https://gitlab.com/qventura-perso/config/config-service#README",
  "devDependencies": {
    "@types/chai": "latest",
    "@types/mocha": "latest",
    "@types/sinon-chai": "latest",
    "chai": "latest",
    "mocha": "latest",
    "nyc": "latest",
    "sinon": "latest",
    "sinon-chai": "latest",
    "typescript": "latest"
  },
  "dependencies": {
    "@qventura/base-service": "latest",
    "@types/node": "latest",
    "mongoose": "latest",
    "pm2": "latest"
  }
}
